### Method

# GLib Variant store

since: 2.24

#### Declaration [src]

    void
    g_variant_store (
      GVariant* value,
      gpointer data
    )

#### Description [src]

Stores the serialized form of `value` at `data`. `data` should be large enough. See g_variant_get_size().

The stored data is in machine native byte order but may not be in fully-normalised form if read from an untrusted source. See `g_variant_get_normal_form()` for a solution.

As with g_variant_get_data(), to be able to deserialize the serialized variant successfully, its type and (if the destination machine might be different) its endianness must also be available.

This function is approximately O(n) in the size of `data`.

Available since: 2.24

#### Parameters

`data`

  Type: `gpointer`

  The location to store the serialized data at.

  The data is owned by the caller of the method.